## Channel Call misc interfaces

Channel Call misc interfaces — client-side wrappers for misc call interfaces

## Functions

TpProxyPendingCall * | tp_cli_call_content_media_description_call_accept ()
TpProxyPendingCall * | tp_cli_call_content_media_description_call_reject ()
void | (*tp_cli_call_content_media_description_callback_for_accept) ()
void | (*tp_cli_call_content_media_description_callback_for_reject) ()
TpProxyPendingCall * | tp_cli_call_stream_endpoint_call_accept_selected_candidate_pair ()
TpProxyPendingCall * | tp_cli_call_stream_endpoint_call_reject_selected_candidate_pair ()
TpProxyPendingCall * | tp_cli_call_stream_endpoint_call_set_controlling ()
TpProxyPendingCall * | tp_cli_call_stream_endpoint_call_set_endpoint_state ()
TpProxyPendingCall * | tp_cli_call_stream_endpoint_call_set_selected_candidate_pair ()
void | (*tp_cli_call_stream_endpoint_callback_for_accept_selected_candidate_pair) ()
void | (*tp_cli_call_stream_endpoint_callback_for_reject_selected_candidate_pair) ()
void | (*tp_cli_call_stream_endpoint_callback_for_set_controlling) ()
void | (*tp_cli_call_stream_endpoint_callback_for_set_endpoint_state) ()
void | (*tp_cli_call_stream_endpoint_callback_for_set_selected_candidate_pair) ()
TpProxySignalConnection * | tp_cli_call_stream_endpoint_connect_to_candidate_pair_selected ()
TpProxySignalConnection * | tp_cli_call_stream_endpoint_connect_to_controlling_changed ()
TpProxySignalConnection * | tp_cli_call_stream_endpoint_connect_to_endpoint_state_changed ()
TpProxySignalConnection * | tp_cli_call_stream_endpoint_connect_to_remote_candidates_added ()
TpProxySignalConnection * | tp_cli_call_stream_endpoint_connect_to_remote_credentials_set ()
void | (*tp_cli_call_stream_endpoint_signal_callback_candidate_pair_selected) ()
void | (*tp_cli_call_stream_endpoint_signal_callback_controlling_changed) ()
void | (*tp_cli_call_stream_endpoint_signal_callback_endpoint_state_changed) ()
void | (*tp_cli_call_stream_endpoint_signal_callback_remote_candidates_added) ()
void | (*tp_cli_call_stream_endpoint_signal_callback_remote_credentials_set) ()

## Includes

    #include <telepathy-glib/telepathy-glib-dbus.h>

## Description

Misc interfaces for calls.

## Functions

### tp_cli_call_content_media_description_call_accept ()

    TpProxyPendingCall *
    tp_cli_call_content_media_description_call_accept
                                   (gpointer proxy,
                                    gint timeout_ms,
                                    GHashTable *in_Local_Media_Description,
                                    tp_cli_call_content_media_description_callback_for_accept callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a Accept method call.

Accepts the updated Description and update the corresponding local description. If FurtherNegotiationRequired is True, calling this method will generally cause a network round-trip and a new MediaDescription to be offered (hopefully with FurtherNegotiationRequired set to False).

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in_Local_Media_Description | Used to pass an 'in' argument: The local description to send to the remote contacts and to use in the <tp:dbus-ref namespace="ofdT.Call1">Content</tp:dbus-ref>. |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_call_content_media_description_call_reject ()

    TpProxyPendingCall *
    tp_cli_call_content_media_description_call_reject
                                   (gpointer proxy,
                                    gint timeout_ms,
                                    const GValueArray *in_Reason,
                                    tp_cli_call_content_media_description_callback_for_reject callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a Reject method call.

Reject the proposed update to the remote description.

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in_Reason | Used to pass an 'in' argument: A structured reason for the rejection. |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_call_content_media_description_callback_for_accept ()

    void
    (*tp_cli_call_content_media_description_callback_for_accept)
                                   (TpProxy *proxy,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a Accept method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_call_content_media_description_callback_for_reject ()

    void
    (*tp_cli_call_content_media_description_callback_for_reject)
                                   (TpProxy *proxy,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a Reject method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_call_stream_endpoint_call_accept_selected_candidate_pair ()

    TpProxyPendingCall *
    tp_cli_call_stream_endpoint_call_accept_selected_candidate_pair
                                   (gpointer proxy,
                                    gint timeout_ms,
                                    const GValueArray *in_Local_Candidate,
                                    const GValueArray *in_Remote_Candidate,
                                    tp_cli_call_stream_endpoint_callback_for_accept_selected_candidate_pair callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a AcceptSelectedCandidatePair method call.

Called in response to <tp:member-ref>CandidatePairSelected</tp:member-ref> if/when this candidate pair is known to have passed its connectivity checks.

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in_Local_Candidate | Used to pass an 'in' argument: The local candidate that has been selected. |
in_Remote_Candidate | Used to pass an 'in' argument: The remote candidate that has been selected. |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_call_stream_endpoint_call_reject_selected_candidate_pair ()

    TpProxyPendingCall *
    tp_cli_call_stream_endpoint_call_reject_selected_candidate_pair
                                   (gpointer proxy,
                                    gint timeout_ms,
                                    const GValueArray *in_Local_Candidate,
                                    const GValueArray *in_Remote_Candidate,
                                    tp_cli_call_stream_endpoint_callback_for_reject_selected_candidate_pair callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a RejectSelectedCandidatePair method call.

Called in response to <tp:member-ref>CandidatePairSelected</tp:member-ref> if/when this candidate pair is known to have failed its connectivity checks.

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in_Local_Candidate | Used to pass an 'in' argument: The local candidate that has been selected. |
in_Remote_Candidate | Used to pass an 'in' argument: The remote candidate that has been selected. |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_call_stream_endpoint_call_set_controlling ()

    TpProxyPendingCall *
    tp_cli_call_stream_endpoint_call_set_controlling
                                   (gpointer proxy,
                                    gint timeout_ms,
                                    gboolean in_Controlling,
                                    tp_cli_call_stream_endpoint_callback_for_set_controlling callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a SetControlling method call.

Set whether the local side is taking the Controlling role. Note that if there are multiple endpoints (e.g. SIP call forking) it may be the case that all endpoints need to have the same controlling/controlled orientation.

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in_Controlling | Used to pass an 'in' argument: The new value of <tp:member-ref>Controlling</tp:member-ref>. |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_call_stream_endpoint_call_set_endpoint_state ()

    TpProxyPendingCall *
    tp_cli_call_stream_endpoint_call_set_endpoint_state
                                   (gpointer proxy,
                                    gint timeout_ms,
                                    guint in_Component,
                                    guint in_State,
                                    tp_cli_call_stream_endpoint_callback_for_set_endpoint_state callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a SetEndpointState method call.

Change the <tp:member-ref>EndpointState</tp:member-ref> of the endpoint.

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in_Component | Used to pass an 'in' argument: The component whose state needs updating. (TpStreamComponent) |
in_State | Used to pass an 'in' argument: The new state of this component. (TpStreamEndpointState) |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_call_stream_endpoint_call_set_selected_candidate_pair ()

    TpProxyPendingCall *
    tp_cli_call_stream_endpoint_call_set_selected_candidate_pair
                                   (gpointer proxy,
                                    gint timeout_ms,
                                    const GValueArray *in_Local_Candidate,
                                    const GValueArray *in_Remote_Candidate,
                                    tp_cli_call_stream_endpoint_callback_for_set_selected_candidate_pair callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object);

Start a SetSelectedCandidatePair method call.

<tp:docstring xmlns="http://www.w3.org/1999/xhtml"> <p>Update the entry in <tp:member-ref>SelectedCandidatePairs</tp:member-ref> for a particular component, and signal it to the remote side.</p> <p>This method should only be called by the controlling side of an ICE session. See <tp:member-ref>CandidatePairSelected</tp:member-ref> for details.</p> <tp:rationale> <p>In the SDP offer/answer model, this signalling will take place as generating an updated offer. Note that updates may be queued up until information about all components of all streams is gathered.</p> </tp:rationale>

#### Parameters

proxy | the TpProxy |
timeout_ms | the timeout in milliseconds, or -1 to use the default |
in_Local_Candidate | Used to pass an 'in' argument: The local candidate that has been selected. |
in_Remote_Candidate | Used to pass an 'in' argument: The remote candidate that has been selected. |
callback | called when the method call succeeds or fails; may be `NULL` to make a "fire and forget" call with no reply tracking |
user_data | user-supplied data passed to the callback; must be `NULL` if `callback` is `NULL` |
destroy | called with the user_data as argument, after the call has succeeded, failed or been cancelled; must be `NULL` if `callback` is `NULL` |
weak_object | If not `NULL`, a GObject which will be weakly referenced; if it is destroyed, this call will automatically be cancelled. Must be `NULL` if `callback` is `NULL` |

#### Returns

a TpProxyPendingCall representing the call in progress. It is borrowed from the object, and will become invalid when the callback is called, the call is cancelled or the TpProxy becomes invalid.

### tp_cli_call_stream_endpoint_callback_for_accept_selected_candidate_pair ()

    void
    (*tp_cli_call_stream_endpoint_callback_for_accept_selected_candidate_pair)
                                   (TpProxy *proxy,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a AcceptSelectedCandidatePair method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_call_stream_endpoint_callback_for_reject_selected_candidate_pair ()

    void
    (*tp_cli_call_stream_endpoint_callback_for_reject_selected_candidate_pair)
                                   (TpProxy *proxy,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a RejectSelectedCandidatePair method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_call_stream_endpoint_callback_for_set_controlling ()

    void
    (*tp_cli_call_stream_endpoint_callback_for_set_controlling)
                                   (TpProxy *proxy,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a SetControlling method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_call_stream_endpoint_callback_for_set_endpoint_state ()

    void
    (*tp_cli_call_stream_endpoint_callback_for_set_endpoint_state)
                                   (TpProxy *proxy,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a SetEndpointState method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_call_stream_endpoint_callback_for_set_selected_candidate_pair ()

    void
    (*tp_cli_call_stream_endpoint_callback_for_set_selected_candidate_pair)
                                   (TpProxy *proxy,
                                    const GError *error,
                                    gpointer user_data,
                                    GObject *weak_object);

Signature of the callback called when a SetSelectedCandidatePair method call succeeds or fails.

#### Parameters

proxy | the proxy on which the call was made |
error | `NULL` on success, or an error on failure |
user_data | user-supplied data |
weak_object | user-supplied object |

### tp_cli_call_stream_endpoint_connect_to_candidate_pair_selected ()

    TpProxySignalConnection *
    tp_cli_call_stream_endpoint_connect_to_candidate_pair_selected
                                   (gpointer proxy,
                                    tp_cli_call_stream_endpoint_signal_callback_candidate_pair_selected callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object,
                                    GError **error);

Connect a handler to the signal CandidatePairSelected.

Emitted when a candidate is selected for use in the stream by the controlling side of an ICE session. The controlled side should call <tp:member-ref>AcceptSelectedCandidatePair</tp:member-ref> or <tp:member-ref>RejectSelectedCandidatePair</tp:member-ref> when connectivity checks have either succeeded or failed for this candidate pair. See also: <tp:member-ref>SelectedCandidatePairs</tp:member-ref>.

#### Parameters

proxy | A TpProxy or subclass |
callback | Callback to be called when the signal is received |
user_data | User-supplied data for the callback |
destroy | Destructor for the user-supplied data, which will be called when this signal is disconnected, or before this function returns `NULL` |
weak_object | A GObject which will be weakly referenced; if it is destroyed, this callback will automatically be disconnected |
error | If not `NULL`, used to raise an error if `NULL` is returned |

#### Returns

a TpProxySignalConnection containing all of the above, which can be used to disconnect the signal; or `NULL` if the proxy does not have the desired interface or has become invalid.

### tp_cli_call_stream_endpoint_connect_to_controlling_changed ()

    TpProxySignalConnection *
    tp_cli_call_stream_endpoint_connect_to_controlling_changed
                                   (gpointer proxy,
                                    tp_cli_call_stream_endpoint_signal_callback_controlling_changed callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object,
                                    GError **error);

Connect a handler to the signal ControllingChanged.

The value of <tp:member-ref>Controlling</tp:member-ref> has changed.

#### Parameters

proxy | A TpProxy or subclass |
callback | Callback to be called when the signal is received |
user_data | User-supplied data for the callback |
destroy | Destructor for the user-supplied data, which will be called when this signal is disconnected, or before this function returns `NULL` |
weak_object | A GObject which will be weakly referenced; if it is destroyed, this callback will automatically be disconnected |
error | If not `NULL`, used to raise an error if `NULL` is returned |

#### Returns

a TpProxySignalConnection containing all of the above, which can be used to disconnect the signal; or `NULL` if the proxy does not have the desired interface or has become invalid.

### tp_cli_call_stream_endpoint_connect_to_endpoint_state_changed ()

    TpProxySignalConnection *
    tp_cli_call_stream_endpoint_connect_to_endpoint_state_changed
                                   (gpointer proxy,
                                    tp_cli_call_stream_endpoint_signal_callback_endpoint_state_changed callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object,
                                    GError **error);

Connect a handler to the signal EndpointStateChanged.

Emitted when the <tp:member-ref>EndpointState</tp:member-ref> property changes.

#### Parameters

proxy | A TpProxy or subclass |
callback | Callback to be called when the signal is received |
user_data | User-supplied data for the callback |
destroy | Destructor for the user-supplied data, which will be called when this signal is disconnected, or before this function returns `NULL` |
weak_object | A GObject which will be weakly referenced; if it is destroyed, this callback will automatically be disconnected |
error | If not `NULL`, used to raise an error if `NULL` is returned |

#### Returns

a TpProxySignalConnection containing all of the above, which can be used to disconnect the signal; or `NULL` if the proxy does not have the desired interface or has become invalid.

### tp_cli_call_stream_endpoint_connect_to_remote_candidates_added ()

    TpProxySignalConnection *
    tp_cli_call_stream_endpoint_connect_to_remote_candidates_added
                                   (gpointer proxy,
                                    tp_cli_call_stream_endpoint_signal_callback_remote_candidates_added callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object,
                                    GError **error);

Connect a handler to the signal RemoteCandidatesAdded.

Emitted when remote candidates are added to the <tp:member-ref>RemoteCandidates</tp:member-ref> property.

#### Parameters

proxy | A TpProxy or subclass |
callback | Callback to be called when the signal is received |
user_data | User-supplied data for the callback |
destroy | Destructor for the user-supplied data, which will be called when this signal is disconnected, or before this function returns `NULL` |
weak_object | A GObject which will be weakly referenced; if it is destroyed, this callback will automatically be disconnected |
error | If not `NULL`, used to raise an error if `NULL` is returned |

#### Returns

a TpProxySignalConnection containing all of the above, which can be used to disconnect the signal; or `NULL` if the proxy does not have the desired interface or has become invalid.

### tp_cli_call_stream_endpoint_connect_to_remote_credentials_set ()

    TpProxySignalConnection *
    tp_cli_call_stream_endpoint_connect_to_remote_credentials_set
                                   (gpointer proxy,
                                    tp_cli_call_stream_endpoint_signal_callback_remote_credentials_set callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object,
                                    GError **error);

Connect a handler to the signal RemoteCredentialsSet.

Emitted when the remote ICE credentials for the endpoint are set. If each candidate has different credentials, then this signal will never be fired.

#### Parameters

proxy | A TpProxy or subclass |
callback | Callback to be called when the signal is received |
user_data | User-supplied data for the callback |
destroy | Destructor for the user-supplied data, which will be called when this signal is disconnected, or before this function returns `NULL` |
weak_object | A GObject which will be weakly referenced; if it is destroyed, this callback will automatically be disconnected |
error | If not `NULL`, used to raise an error if `NULL` is returned |

#### Returns

a TpProxySignalConnection containing all of the above, which can be used to disconnect the signal; or `NULL` if the proxy does not have the desired interface or has become invalid.

### tp_cli_call_stream_endpoint_signal_callback_candidate_pair_selected ()

    void
    (*tp_cli_call_stream_endpoint_signal_callback_candidate_pair_selected)
                                   (TpProxy *proxy,
                                    const GValueArray *arg_Local_Candidate,
                                    const GValueArray *arg_Remote_Candidate,
                                    gpointer user_data,
                                    GObject *weak_object);

Represents the signature of a callback for the signal CandidatePairSelected.

#### Parameters

proxy | The proxy on which `tp_cli_call_stream_endpoint_connect_to_candidate_pair_selected()` was called |
arg_Local_Candidate | The local candidate that has been selected. |
arg_Remote_Candidate | The remote candidate that has been selected. |
user_data | User-supplied data |
weak_object | User-supplied weakly referenced object |

### tp_cli_call_stream_endpoint_signal_callback_controlling_changed ()

    void
    (*tp_cli_call_stream_endpoint_signal_callback_controlling_changed)
                                   (TpProxy *proxy,
                                    gboolean arg_Controlling,
                                    gpointer user_data,
                                    GObject *weak_object);

Represents the signature of a callback for the signal ControllingChanged.

#### Parameters

proxy | The proxy on which `tp_cli_call_stream_endpoint_connect_to_controlling_changed()` was called |
arg_Controlling | The new value of <tp:member-ref>Controlling</tp:member-ref>. |
user_data | User-supplied data |
weak_object | User-supplied weakly referenced object |

### tp_cli_call_stream_endpoint_signal_callback_endpoint_state_changed ()

    void
    (*tp_cli_call_stream_endpoint_signal_callback_endpoint_state_changed)
                                   (TpProxy *proxy,
                                    guint arg_Component,
                                    guint arg_State,
                                    gpointer user_data,
                                    GObject *weak_object);

Represents the signature of a callback for the signal EndpointStateChanged.

#### Parameters

proxy | The proxy on which `tp_cli_call_stream_endpoint_connect_to_endpoint_state_changed()` was called |
arg_Component | The component whose state has changed. (TpStreamComponent) |
arg_State | The new state of this component. (TpStreamEndpointState) |
user_data | User-supplied data |
weak_object | User-supplied weakly referenced object |

### tp_cli_call_stream_endpoint_signal_callback_remote_candidates_added ()

    void
    (*tp_cli_call_stream_endpoint_signal_callback_remote_candidates_added)
                                   (TpProxy *proxy,
                                    const GPtrArray *arg_Candidates,
                                    gpointer user_data,
                                    GObject *weak_object);

Represents the signature of a callback for the signal RemoteCandidatesAdded.

#### Parameters

proxy | The proxy on which `tp_cli_call_stream_endpoint_connect_to_remote_candidates_added()` was called |
arg_Candidates | The candidates that were added. |
user_data | User-supplied data |
weak_object | User-supplied weakly referenced object |

### tp_cli_call_stream_endpoint_signal_callback_remote_credentials_set ()

    void
    (*tp_cli_call_stream_endpoint_signal_callback_remote_credentials_set)
                                   (TpProxy *proxy,
                                    const gchar *arg_Username,
                                    const gchar *arg_Password,
                                    gpointer user_data,
                                    GObject *weak_object);

Represents the signature of a callback for the signal RemoteCredentialsSet.

#### Parameters

proxy | The proxy on which `tp_cli_call_stream_endpoint_connect_to_remote_credentials_set()` was called |
arg_Username | The username set. |
arg_Password | The password set. |
user_data | User-supplied data |
weak_object | User-supplied weakly referenced object |